Subject: [ETI Informal All 1AD.05.08.04] BEYTH-LECHEM House of Bread
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Sun, 28 Aug 2005 13:56:54 +0200

BETH-LEHEM
----- Original Message ----- 
From: Easton 
To: [email-masked] 
Sent: Sunday, August 28, 2005 11:11 AM
Subject: BETH from Gerry

BETH-LEHEM

 

The correct Hebrew is - Beyth- Lechem [ Strong's no 1035]

Beyth [Strong's no 1004] = house ; Lechem [ Strong's no 8899] = bread

House of bread

Scriptural references

Gen 35 : 19     "And Rachel died, and was buried in the way to Ephrath, which is Beyth-Lechem."

Josh 19 : 15    "Fell into the into the territory of Zebulun."

Judges 12 : 8  "And after him Ibzan of Beyth-Lechem  judged Isreal." [ 7 years]

Ruth 1 :22       "So Naomi returned, and Ruth the Moabitess, her daughter in law, with her, which returned out of the country of Moab; and they came to Beyth-Lechem in the beginning of barley season."

Ruth 2 : 4        "And, behold Boaz came from Beyth-Lechem, and said unto the reapers, 'YHWH be with you.' And they answered him, 'YHWH bless thee.'

Ruth 4 : 11      "YHWH make the woman that is come into thine house like Rachel and like Leah, which two did build the house of Israel; and do thou worthily in Ephratah, and be famous in Beyth-Lechem."

[ Ruth gave birth to Obed [Serving], the father of Yishay [Jesse - To stand out], the father of Daviyd [Loving]

Daviyd was born in Beyth-Lechem

I Samuel 16 : 4 "And Samuel did that which YHWH spake, and came to Beyth-Lechem."

1 Samuel 16 : 13 "then Samuel took the horn of oil, and anointed him in the midst of his bretheren; and the Spirit of YHWH came upon Daviyd from that day forward."

2 Samuel 23 : 15 "And Daviyd longed, and said, 'Oh that one would give me drink of the water of the well of Beyth-Lechem, which is by the gate.'"

Micah 5 ; 2 "But thou Beyth-Lechem Ephratah, though thou be little among the thousands of Yudah, yet out of thee shall He come forth unto me That is to be ruler in Israel; Whose goings forth have been from of old, from everlasting."

 

Page 2/.

Matt 2 : 1  "Now when Yahushua was born in Beyth-Lechem of Yudah - - -."

The prophesy of Micah fulfilled.

Luke 2 : 4  "And Yoseph also went up from Galilee, out of the city of Nazareth unto Yudah, unto the city of Daviyd, which is called Beyth-Lechem; because he was of the house and lineage of Daviyd."

Nazareth = Branch Town - where YHWH's Branch was brought up.

Key words 

BREAD

Yochanan 6 : 48 "I am that Bread of life."

6 : 51 "I am the living Bread which came down from heaven; If any  man eat of this bread he shall live forever; and the bread I will give him is My Flesh, which I will give for the life of the world."

WELL OF WATER

Was Daviyd perhaps looking ahead to the Living Water that would be born in Beyth-Lechem?

Yochanan 4 : 13 - 14  "Yahushua answered and said unto her, 'Whosoever drinketh of this water shall thirst again; but whosoever drinketh of the water that I shall give him shall never thirst; but the water I shall give him shall be in him a well of water springing up into eternal life.'"

GATE

The gate defined. This gate was to be by the well of water.

Luke 13 : 24 "Strive to enter in at the straight gate; for many, I say unto you, will seek to enter in, and shall not be able."

RUTH THE MOABITESS

She was accepted and made worthy by faith to be in the lineage of the Messiah as a shadow of what would happen in the future.

Romans 11 : 7 - 32. Showing that the Gentiles by faith would be "graffed contrary to nature into a good olive tree."  

Yahushua is the Bread of Life, the Living Water and the Gate by which we need to enter into eternal life.

HalleluYah